aboutsummaryrefslogtreecommitdiff
path: root/sway-de/sway/.local/bin/dnf-needs-restarting
diff options
context:
space:
mode:
authorMatt Singleton <matt@xcolour.net>2024-02-16 09:48:11 -0600
committerMatt Singleton <matt@xcolour.net>2024-02-16 09:48:11 -0600
commitf68b645ff061c7e1dc7e23b3fa67a4c55245963b (patch)
tree1a126f8ea42dd27830b8649f20f574a5de10865b /sway-de/sway/.local/bin/dnf-needs-restarting
parent000f91bac21c998a9b5f473d5fcbe075e750aae9 (diff)
lots of changes, mostly to align with the sway-config-fedora package
Diffstat (limited to 'sway-de/sway/.local/bin/dnf-needs-restarting')
-rwxr-xr-xsway-de/sway/.local/bin/dnf-needs-restarting4
1 files changed, 2 insertions, 2 deletions
diff --git a/sway-de/sway/.local/bin/dnf-needs-restarting b/sway-de/sway/.local/bin/dnf-needs-restarting
index a080649..7fc6542 100755
--- a/sway-de/sway/.local/bin/dnf-needs-restarting
+++ b/sway-de/sway/.local/bin/dnf-needs-restarting
@@ -1,6 +1,6 @@
#!/bin/bash
-set -eo pipefail
+set -euo pipefail
if command -v dnf > /dev/null; then
DNFCMD="dnf"
@@ -8,7 +8,7 @@ fi
if command -v jq > /dev/null; then
JQCMD="jq"
fi
-if [ -z "$DNFCMD" ] || [ -z "$JQCMD" ]; then
+if [ -z "${DNFCMD+x}" ] || [ -z "${JQCMD+x}" ]; then
echo "{\"tooltip\": \"requires 'jq' and 'dnf'\", \"text\": \"\"}"
exit 1
fi